| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::GPSUndoCommand::UndoInfo Class Reference

## Public Types
typedef QList< UndoInfo > | List

## Public Member Functions
| UndoInfo (const QPersistentModelIndex &pModelIndex)
void | readNewDataFromItem (const GPSItemContainer *const imageItem)
void | readOldDataFromItem (const GPSItemContainer *const imageItem)

## Public Attributes
GPSDataContainer | dataAfter
GPSDataContainer | dataBefore
QPersistentModelIndex | modelIndex
QList< QList< TagData > > | newTagList
QList< QList< TagData > > | oldTagList